package com.fufan.mtsaas.modules.sysmgr.systation.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.fufan.mtsaas.modules.sysmgr.systation.model.SYstation;
import com.fufan.mtsaas.modules.sysmgr.syuser.model.SYuser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * Mapper 接口
 *
 * @author Liby
 * @since 2019-08-14
 */
@Mapper
public interface SYstationDao extends BaseMapper<SYstation> {

    List<SYstation> selectList(Page page, @Param("params") Map<String, String> params);

    @Override
    Integer insert(SYstation entity);

    @Override
    Integer deleteById(Serializable id);

    Integer update(SYstation entity);

    SYstation queryById(Serializable id);

    List<SYstation> queryAllByLimit(SYstation entity);

    List<SYstation> queryAll(SYstation entity);

    Long count(SYstation entity);
}